#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 FireBrick
#property indicator_level1 0.5

//---- input parameters
extern int    IndicPeriod    = 24;
//---- buffers
double indic_res[];
//+------------------------------------------------------------------+
//       INIT                      
//+------------------------------------------------------------------+
int init(){
   SetIndexStyle(0, DRAW_LINE);
   SetIndexBuffer(0, indic_res);
   SetIndexDrawBegin(0, IndicPeriod);
   SetIndexLabel(0, " /    "+IndicPeriod); 
   return(0);
}
//+------------------------------------------------------------------+
//| START                              |
//+------------------------------------------------------------------+
int start(){
   int limit, counted_bars = IndicatorCounted();

   if(counted_bars  < 0) return(0);
   if(counted_bars == 0) limit = Bars -IndicPeriod;
   if(counted_bars > 0) limit = Bars - counted_bars ;
 

   //  RESULT
   for(int i=limit; i>=0; i--){
      double dAtr = iATR(NULL,0,IndicPeriod,i);
      double dSumBodyAvg = 0.0;
      for(int j=IndicPeriod; j>0; j--)dSumBodyAvg += MathAbs(Open[i+j]-Close[i+j]);
      dSumBodyAvg = dSumBodyAvg/IndicPeriod;
      indic_res[i] = dSumBodyAvg/dAtr ;
      IndicatorShortName("<> :" + IndicPeriod +" :" +dAtr +" :" +dSumBodyAvg  +" /:" );
   }
   return(0);
}


